Bug 749730 - [abrt] git-1.7.7-1.fc16: __GI___libc_malloc: Process /usr/bin/git was killed by signal 11 (SIGSEGV)
[abrt] git-1.7.7-1.fc16: __GI___libc_malloc: Process /usr/bin/git was killed ...
Status: CLOSED DUPLICATE of bug 747377
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
abrt_hash:22ee2b0b466506981be46dcabf6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-28 01:22 EDT by Andy Grover
Modified: 2013-01-10 05:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 17:33:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (100.61 KB, text/plain)
2011-10-28 01:22 EDT, Andy Grover
no flags Details

  None (edit)
Description Andy Grover 2011-10-28 01:22:03 EDT
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        git grep acpi_video_get_edid
comment:        just trying to fix a problem on another machine when this one started acting up
crash_function: __GI___libc_malloc
executable:     /usr/bin/git
kernel:         3.1.0-1.fc16.x86_64
reason:         Process /usr/bin/git was killed by signal 11 (SIGSEGV)
time:           Thu Oct 27 22:16:02 2011
uid:            1000
username:       agrover

backtrace:      Text file, 103022 bytes

build_ids:
:9af722e8d4717709aa49739efc0ed10d0f952e3e
:86b3c972edd05934cc26fe154df812e5b79abf4b
:7ff400e09659e0e818c784b338b7a710b3da9aab
:658dd4d1eef9b7b0a36a400342bca2037434a0e8
:d440afe7396b3365dcb935f9bf7f2fb28f3839de
:b67d01f9230119a215e7151dc3aa43428b886c8f

dso_list:
:/lib64/libpthread-2.14.90.so glibc-2.14.90-13.x86_64 (Fedora Project) 1319174070
:/usr/bin/git git-1.7.7-1.fc16.x86_64 (Fedora Project) 1319174082
:/lib64/libc-2.14.90.so glibc-2.14.90-13.x86_64 (Fedora Project) 1319174070
:/lib64/libpcre.so.0.0.1 pcre-8.12-4.fc16.x86_64 (Fedora Project) 1317866986
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1317866950
:/lib64/ld-2.14.90.so glibc-2.14.90-13.x86_64 (Fedora Project) 1319174070

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=4
:HOSTNAME=zon
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-ICrZbd/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=671340bd4e1839ad1d18a35f00000013-1319778718.150104-33771943
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=27262981
:GNOME_KEYRING_CONTROL=/tmp/keyring-ICrZbd
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=agrover
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:
:SSH_AUTH_SOCK=/tmp/keyring-ICrZbd/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2270,unix/unix:/tmp/.ICE-unix/2270
:USERNAME=agrover
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/agrover/.local/bin:/home/agrover/bin:/home/agrover/.local/bin:/home/agrover/bin
:MAIL=/var/spool/mail/agrover
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/agrover/git/linux
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=2266
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups:ignorespace
:XDG_SEAT=seat0
:HOME=/home/agrover
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=agrover
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-FIcFSdSu5q,guid=a9c5c59a1edb098cc865d6110000005b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/agrover
:DISPLAY=:0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-agrover-7CqVAB/database
:_=/usr/bin/git
:OLDPWD=/home/agrover/git

maps:
:00400000-00535000 r-xp 00000000 fd:02 285680                             /usr/bin/git
:00735000-0073c000 rw-p 00135000 fd:02 285680                             /usr/bin/git
:0073c000-0078a000 rw-p 00000000 00:00 0 
:01ae3000-01b04000 rw-p 00000000 00:00 0                                  [heap]
:30d1000000-30d1022000 r-xp 00000000 fd:02 1439932                        /lib64/ld-2.14.90.so
:30d1221000-30d1222000 r--p 00021000 fd:02 1439932                        /lib64/ld-2.14.90.so
:30d1222000-30d1223000 rw-p 00022000 fd:02 1439932                        /lib64/ld-2.14.90.so
:30d1223000-30d1224000 rw-p 00000000 00:00 0 
:30d1400000-30d15aa000 r-xp 00000000 fd:02 1440012                        /lib64/libc-2.14.90.so
:30d15aa000-30d17aa000 ---p 001aa000 fd:02 1440012                        /lib64/libc-2.14.90.so
:30d17aa000-30d17ae000 r--p 001aa000 fd:02 1440012                        /lib64/libc-2.14.90.so
:30d17ae000-30d17b0000 rw-p 001ae000 fd:02 1440012                        /lib64/libc-2.14.90.so
:30d17b0000-30d17b5000 rw-p 00000000 00:00 0 
:30d1800000-30d1817000 r-xp 00000000 fd:02 1440016                        /lib64/libpthread-2.14.90.so
:30d1817000-30d1a16000 ---p 00017000 fd:02 1440016                        /lib64/libpthread-2.14.90.so
:30d1a16000-30d1a17000 r--p 00016000 fd:02 1440016                        /lib64/libpthread-2.14.90.so
:30d1a17000-30d1a18000 rw-p 00017000 fd:02 1440016                        /lib64/libpthread-2.14.90.so
:30d1a18000-30d1a1c000 rw-p 00000000 00:00 0 
:30d2400000-30d243c000 r-xp 00000000 fd:02 1440307                        /lib64/libpcre.so.0.0.1
:30d243c000-30d263b000 ---p 0003c000 fd:02 1440307                        /lib64/libpcre.so.0.0.1
:30d263b000-30d263c000 rw-p 0003b000 fd:02 1440307                        /lib64/libpcre.so.0.0.1
:30d2c00000-30d2c16000 r-xp 00000000 fd:02 1440034                        /lib64/libz.so.1.2.5
:30d2c16000-30d2e16000 ---p 00016000 fd:02 1440034                        /lib64/libz.so.1.2.5
:30d2e16000-30d2e17000 rw-p 00016000 fd:02 1440034                        /lib64/libz.so.1.2.5
:7ffc1c000000-7ffc1c022000 rw-p 00000000 00:00 0 
:7ffc1c022000-7ffc20000000 ---p 00000000 00:00 0 
:7ffc24000000-7ffc24024000 rw-p 00000000 00:00 0 
:7ffc24024000-7ffc28000000 ---p 00000000 00:00 0 
:7ffc2c000000-7ffc2c038000 rw-p 00000000 00:00 0 
:7ffc2c038000-7ffc30000000 ---p 00000000 00:00 0 
:7ffc34000000-7ffc34033000 rw-p 00000000 00:00 0 
:7ffc34033000-7ffc38000000 ---p 00000000 00:00 0 
:7ffc3c000000-7ffc3c021000 rw-p 00000000 00:00 0 
:7ffc3c021000-7ffc40000000 ---p 00000000 00:00 0 
:7ffc44000000-7ffc44022000 rw-p 00000000 00:00 0 
:7ffc44022000-7ffc48000000 ---p 00000000 00:00 0 
:7ffc4c000000-7ffc4c026000 rw-p 00000000 00:00 0 
:7ffc4c026000-7ffc50000000 ---p 00000000 00:00 0 
:7ffc54000000-7ffc54021000 rw-p 00000000 00:00 0 
:7ffc54021000-7ffc58000000 ---p 00000000 00:00 0 
:7ffc58103000-7ffc5857b000 rw-p 00000000 00:00 0 
:7ffc588f3000-7ffc588f4000 ---p 00000000 00:00 0 
:7ffc588f4000-7ffc590f4000 rw-p 00000000 00:00 0 
:7ffc590f4000-7ffc590f5000 ---p 00000000 00:00 0 
:7ffc590f5000-7ffc598f5000 rw-p 00000000 00:00 0 
:7ffc598f5000-7ffc598f6000 ---p 00000000 00:00 0 
:7ffc598f6000-7ffc5a0f6000 rw-p 00000000 00:00 0 
:7ffc5a0f6000-7ffc5a0f7000 ---p 00000000 00:00 0 
:7ffc5a0f7000-7ffc5a8f7000 rw-p 00000000 00:00 0 
:7ffc5a8f7000-7ffc5a8f8000 ---p 00000000 00:00 0 
:7ffc5a8f8000-7ffc5b0f8000 rw-p 00000000 00:00 0 
:7ffc5b0f8000-7ffc5b0f9000 ---p 00000000 00:00 0 
:7ffc5b0f9000-7ffc5b8f9000 rw-p 00000000 00:00 0 
:7ffc5b8f9000-7ffc5b8fa000 ---p 00000000 00:00 0 
:7ffc5b8fa000-7ffc5c0fa000 rw-p 00000000 00:00 0 
:7ffc5c0fa000-7ffc5c0fb000 ---p 00000000 00:00 0 
:7ffc5c0fb000-7ffc5c8ff000 rw-p 00000000 00:00 0 
:7ffc5c914000-7ffc5c915000 rw-p 00000000 00:00 0 
:7fff61e24000-7fff61e45000 rw-p 00000000 00:00 0                          [stack]
:7fff61e4b000-7fff61e4c000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Oct 27 22:08:54 zon kernel: [69734.759787] git[24513] general protection ip:30d147da1f sp:7fffe3bf13a0 error:0 in libc-2.14.90.so[30d1400000+1aa000]
:Oct 27 22:08:54 zon abrt[24523]: saved core dump of pid 24513 (/usr/bin/git) to /var/spool/abrt/ccpp-2011-10-27-22:08:54-24513 (73826304 bytes)
:Oct 27 22:09:04 zon abrt[24552]: not dumping repeating crash in '/usr/bin/git'
:Oct 27 22:10:53 zon kernel: [    4.332532] sdhci: Secure Digital Host Controller Interface driver
:Oct 27 22:10:53 zon modem-manager[1104]: <info>  ModemManager (version 0.4.998-1.git20110706.fc16) starting...
:Oct 27 22:10:53 zon dbus-daemon[1065]: modem-manager[1104]: <info>  ModemManager (version 0.4.998-1.git20110706.fc16) starting...
:Oct 27 22:16:02 zon kernel: [  335.656668] git[2929] general protection ip:30d147da1f sp:7fff61e401f0 error:0 in libc-2.14.90.so[30d1400000+1aa000]
:Oct 27 22:16:02 zon kernel: [  335.656686] git[2937] general protection ip:30d147cdc1 sp:7ffc590f2e40 error:0 in libc-2.14.90.so[30d1400000+1aa000]
:Oct 27 22:16:03 zon abrt[2939]: saved core dump of pid 2929 (/usr/bin/git) to /var/spool/abrt/ccpp-2011-10-27-22:16:02-2929 (73900032 bytes)
Comment 1 Andy Grover 2011-10-28 01:22:08 EDT
Created attachment 530611 [details]
File: backtrace
Comment 2 Todd Zullinger 2011-10-28 15:31:45 EDT
This could very well be related to the glibc bug discussed in #747377.  Can you test with git-1.7.7-2.fc16?
Comment 3 Andy Grover 2011-10-28 17:33:42 EDT

*** This bug has been marked as a duplicate of bug 747377 ***

Note You need to log in before you can comment on or make changes to this bug.